### Method

# Soup Message disable_feature

#### Declaration [src]

    void
    soup_message_disable_feature (
      SoupMessage* msg,
      GType feature_type
    )

#### Description [src]

Disables the actions of `SoupSessionFeature`s with the given `feature_type` (or a subclass of that type) on `msg`.

`msg` is processed as though the feature(s) hadn’t been added to the session. Eg, passing #SOUP_TYPE_CONTENT_SNIFFER for `feature_type` will disable Content-Type sniffing on the message.

You must call this before queueing `msg` on a session; calling it on a message that has already been queued is undefined. In particular, you cannot call this on a message that is being requeued after a redirect or authentication.

#### Parameters

`feature_type`

  Type: `GType`

  The `GType` of a `SoupSessionFeature`.